
Foreman - Bug #184

Query 'state' doesn't work

03/22/2010 02:01 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

According to the web UI:

Out Of Sync Hosts 23

Hosts in Error State 4

Total hosts 204

(For the queries below, the web ui shows 198 hosts in 'base', 15 in 'memcached')

The query interface isn't reflecting that:

Memcached runs every 6 ours, so this test is ok:

irb(main):049:0> gethosts( { 'class' => 'memcached' } ).length

NoMethodError: undefined method `length' for nil:NilClass

from (irb):49

from :0

This test is not though, should list 15 hosts:

irb(main):050:0> gethosts( { 'class' => 'memcached', 'state' => 'all' } ).length

NoMethodError: undefined method `length' for nil:NilClass

from (irb):50

from :0

Should list 175 hosts:

irb(main):052:0> gethosts( { 'class' => 'base' } ).length

=> 175

Should list 198 hosts:

irb(main):051:0> gethosts( { 'class' => 'base', 'state' => 'all' } ).length

=> 175

Should list 204 hosts:

irb(main):053:0> gethosts( { 'state' => 'all' } ).length

NoMethodError: undefined method `length' for nil:NilClass

from (irb):53

from :0

Related issues:

Is duplicate of Foreman - Refactor #191: Query should return all hosts, not j... Closed

History

#1 - 03/22/2010 03:03 PM - Ohad Levy

can you add a simple fact, just to be sure that the lack of fact usage doesnt break something?

#2 - 03/23/2010 01:46 PM - Dis Connect

It works with the addition of a fact.
#3 - 03/25/2010 01:56 PM - Ohad Levy

- Status changed from New to Closed

already fixed in #191

#4 - 03/25/2010 01:56 PM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#5 - 10/16/2018 01:31 PM - Tomer Brisker

- Category changed from 19 to Search
